Skip to main content
`Ctrl`+`K`
scipy.ndimage.

# sum_labels

scipy.ndimage.sum_labels(input, labels=None, index=None)

  Calculate the sum of the values of the array.

  Parameters:
    input array_like

      Values of input inside the regions defined by labels are summed together.

    labels array_like of ints, optional

      Assign labels to the values of the array. Has to have the same shape as input.

    index array_like, optional

      A single label number or a sequence of label numbers of the objects to be measured.

  Returns:
    sum ndarray or scalar

      An array of the sums of values of input inside the regions defined by labels with the same shape as index. If ‘index’ is None or scalar, a scalar is returned.

  See also

  `mean`, `median`

  Notes

  Array API Standard Support

  `sum_labels` has experimental support for Python Array API Standard compatible backends in addition to NumPy. Please consider testing these features by setting an environment variable `SCIPY_ARRAY_API=1` and providing CuPy, PyTorch, JAX, or Dask arrays as array arguments. The following combinations of backend and device (or other capability) are supported.

  Library | CPU | GPU
  --- | --- | ---
  NumPy | ✅ | n/a
  CuPy | n/a | ✅
  PyTorch | ✅ | ⛔
  JAX | ⚠️ no JIT | ⛔
  Dask | ⚠️ computes graph | n/a

  > See Support for the array API standard for more information.

  Examples

      >>> from scipy import ndimage
      >>> input =  [0,1,2,3]
      >>> labels = [1,1,2,2]
      >>> ndimage.sum_labels(input, labels, index=[1,2])
      [1.0, 5.0]
      >>> ndimage.sum_labels(input, labels, index=1)
      1
      >>> ndimage.sum_labels(input, labels)
      6